﻿<!DOCTYPE html>
<!--
This is a starter template page. Use this page to start your new project from
scratch. This page gets rid of all links and provides the needed markup only.
-->
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Customer Portal | @Html.Raw(ViewBag.Title)</title>

    <!-- Google Font: Source Sans Pro -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">

    <!--Import css file dari folder Plugin-->
    <link href="~/adminlte/plugins/datatables-autofill/css/autoFill.bootstrap4.min.css" rel="stylesheet" />
    <link href="~/adminlte/plugins/datatables-buttons/css/buttons.bootstrap4.min.css" rel="stylesheet" />
    <link href="~/adminlte/plugins/datatables-colreorder/css/colReorder.bootstrap4.min.css" rel="stylesheet" />
    <link href="~/adminlte/plugins/datatables-fixedcolumns/css/fixedColumns.bootstrap4.min.css" rel="stylesheet" />
    <link href="~/adminlte/plugins/datatables-fixedheader/css/fixedHeader.bootstrap4.min.css" rel="stylesheet" />
    <link href="~/adminlte/plugins/datatables-keytable/css/keyTable.bootstrap4.min.css" rel="stylesheet" />
    <link href="~/adminlte/plugins/datatables-responsive/css/responsive.bootstrap4.min.css" rel="stylesheet" />
    <link href="~/adminlte/plugins/datatables-rowgroup/css/rowGroup.bootstrap4.min.css" rel="stylesheet" />
    <link href="~/adminlte/plugins/datatables-rowreorder/css/rowReorder.bootstrap4.min.css" rel="stylesheet" />
    <link href="~/adminlte/plugins/datatables-scroller/css/scroller.bootstrap4.min.css" rel="stylesheet" />
    <link href="~/adminlte/plugins/datatables-searchbuilder/css/searchBuilder.bootstrap4.min.css" rel="stylesheet" />
    <link href="~/adminlte/plugins/datatables-searchpanes/css/searchPanes.bootstrap4.min.css" rel="stylesheet" />
    <link href="~/adminlte/plugins/datatables-select/css/select.bootstrap4.min.css" rel="stylesheet" />
    <link href="~/adminlte/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css" rel="stylesheet" />
    <link href="~/adminlte/plugins/select2/css/select2.min.css" rel="stylesheet" />
    <!--end Import css file dari folder Plugin-->
    @RenderSection("HeadLibrary", required: false)
    @Styles.Render("~/Content/css")
    @Scripts.Render("~/bundles/modernizr")
</head>
<body class="hold-transition sidebar-mini" style="padding : 0 !important">
    <div class="wrapper">

        <!-- Navbar -->
        <nav class="main-header navbar navbar-expand navbar-light">
            <!-- Left navbar links -->
            <ul class="navbar-nav">
                <li class="nav-item">
                    <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
                </li>
                <li class="nav-item d-none d-sm-inline-block">
                    @Html.ActionLink("Home", "Index", "Home", null, new { @class = "nav-link" })
                </li>
                @if (ViewBag.role == "admin")
                {
                    <li class="nav-item d-none d-sm-inline-block">
                        @Html.ActionLink("User", "Index", "Account", null, new { @class = "nav-link" })
                    </li>
                    <li class="nav-item d-none d-sm-inline-block">
                        @Html.ActionLink("OrderAdmin", "Index", "OrderAdmin", null, new { @class = "nav-link" })
                    </li>
                }
                else
                {
                    <li class="nav-item d-none d-sm-inline-block">
                        @Html.ActionLink("Order", "Index", "Order", null, new { @class = "nav-link" })
                    </li>
                    <li class="nav-item d-none d-sm-inline-block">
                        @Html.ActionLink("Report", "ReportAdmin", "Report", null, new { @class = "nav-link" })
                    </li>
                }

                @*<li class="nav-item d-none d-sm-inline-block">
                        @Html.ActionLink("Contact", "Contact", "Home", null, new { @class = "nav-link" })
                    </li>*@
                <!--Tambah navbar menu login-->
                <!--<li class="nav-item d-none d-sm-inline-block">
                    @Html.ActionLink("Add User", "List", "Account", null, new { @class = "nav-link" })
                </li>-->
                <!--End Tambah navbar menu login-->
                <!--Tambah navbar menu create order-->
                <!--<li class="nav-item d-none d-sm-inline-block">
                    @Html.ActionLink("Create Order", "List", "Order", null, new { @class = "nav-link" })
                </li>-->
                <!--End Tambah navbar menu login-->
                <!--<li class="nav-item d-none d-sm-inline-block">
                    @Html.ActionLink("Home User", "Index", "HomeUser", null, new { @class = "nav-link" })
                </li>-->
                <!--<li class="nav-item d-none d-sm-inline-block">
                    @Html.ActionLink("Logout", "Logout", "LoginPage", null, new { @class = "nav-link" })
                </li>-->
                <!--End Tambah navbar menu login-->

            </ul>

            <!-- Right navbar links -->
            <ul class="navbar-nav ml-auto">
                <!-- Navbar Search -->
                <li class="nav-item">
                    <a class="nav-link" data-widget="navbar-search" href="#" role="button">
                        <i class="fas fa-search"></i>
                    </a>
                    <div class="navbar-search-block">
                        <form class="form-inline">
                            <div class="input-group input-group-sm">
                                <input class="form-control form-control-navbar" type="search" placeholder="Search" aria-label="Search">
                                <div class="input-group-append">
                                    <button class="btn btn-navbar" type="submit">
                                        <i class="fas fa-search"></i>
                                    </button>
                                    <button class="btn btn-navbar" type="button" data-widget="navbar-search">
                                        <i class="fas fa-times"></i>
                                    </button>
                                </div>
                            </div>
                        </form>
                    </div>
                </li>

                <!-- Messages Dropdown Menu -->
                <li class="nav-item dropdown">
                    <a class="nav-link" data-toggle="dropdown" href="#">
                        <i class="far fa-comments"></i>
                        <span class="badge badge-danger navbar-badge">3</span>
                    </a>
                    <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
                        <a href="#" class="dropdown-item">
                            <!-- Message Start -->
                            <div class="media">
                                <img src="~/adminlte/img/user1-128x128.jpg" alt="User Avatar" class="img-size-50 mr-3 img-circle">
                                <div class="media-body">
                                    <h3 class="dropdown-item-title">
                                        Brad Diesel
                                        <span class="float-right text-sm text-danger"><i class="fas fa-star"></i></span>
                                    </h3>
                                    <p class="text-sm">Call me whenever you can...</p>
                                    <p class="text-sm text-muted"><i class="far fa-clock mr-1"></i> 4 Hours Ago</p>
                                </div>
                            </div>
                            <!-- Message End -->
                        </a>
                        <div class="dropdown-divider"></div>
                        <a href="#" class="dropdown-item">
                            <!-- Message Start -->
                            <div class="media">
                                <img src="~/adminlte/img/user8-128x128.jpg" alt="User Avatar" class="img-size-50 img-circle mr-3">
                                <div class="media-body">
                                    <h3 class="dropdown-item-title">
                                        John Pierce
                                        <span class="float-right text-sm text-muted"><i class="fas fa-star"></i></span>
                                    </h3>
                                    <p class="text-sm">I got your message bro</p>
                                    <p class="text-sm text-muted"><i class="far fa-clock mr-1"></i> 4 Hours Ago</p>
                                </div>
                            </div>
                            <!-- Message End -->
                        </a>
                        <div class="dropdown-divider"></div>
                        <a href="#" class="dropdown-item">
                            <!-- Message Start -->
                            <div class="media">
                                <img src="~/adminlte/img/user3-128x128.jpg" alt="User Avatar" class="img-size-50 img-circle mr-3">
                                <div class="media-body">
                                    <h3 class="dropdown-item-title">
                                        Nora Silvester
                                        <span class="float-right text-sm text-warning"><i class="fas fa-star"></i></span>
                                    </h3>
                                    <p class="text-sm">The subject goes here</p>
                                    <p class="text-sm text-muted"><i class="far fa-clock mr-1"></i> 4 Hours Ago</p>
                                </div>
                            </div>
                            <!-- Message End -->
                        </a>
                        <div class="dropdown-divider"></div>
                        <a href="#" class="dropdown-item dropdown-footer">See All Messages</a>
                    </div>
                </li>
                <!-- Notifications Dropdown Menu -->
                <li class="nav-item dropdown">
                    <a class="nav-link" data-toggle="dropdown" href="#">
                        <i class="far fa-bell"></i>
                        <span class="badge badge-warning navbar-badge">15</span>
                    </a>
                    <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
                        <span class="dropdown-header">15 Notifications</span>
                        <div class="dropdown-divider"></div>
                        <a href="#" class="dropdown-item">
                            <i class="fas fa-envelope mr-2"></i> 4 new messages
                            <span class="float-right text-muted text-sm">3 mins</span>
                        </a>
                        <div class="dropdown-divider"></div>
                        <a href="#" class="dropdown-item">
                            <i class="fas fa-users mr-2"></i> 8 friend requests
                            <span class="float-right text-muted text-sm">12 hours</span>
                        </a>
                        <div class="dropdown-divider"></div>
                        <a href="#" class="dropdown-item">
                            <i class="fas fa-file mr-2"></i> 3 new reports
                            <span class="float-right text-muted text-sm">2 days</span>
                        </a>
                        <div class="dropdown-divider"></div>
                        <a href="#" class="dropdown-item dropdown-footer">See All Notifications</a>
                    </div>
                </li>
                <li class="nav-item">
                    <a class="nav-link" data-widget="fullscreen" href="#" role="button">
                        <i class="fas fa-expand-arrows-alt"></i>
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" data-widget="control-sidebar" data-slide="true" href="#" role="button">
                        <i class="fas fa-th-large"></i>
                    </a>
                </li>
            </ul>
        </nav>
        <!-- /.navbar -->
        <!-- Main Sidebar Container -->
        <aside class="main-sidebar sidebar-dark-primary elevation-4">
            <!-- Brand Logo -->
            <a href="index3.html" class="brand-link">
                <img src="~/adminlte/img/AdminLTELogo.png" alt="AdminLTE Logo" class="brand-image img-circle elevation-3" style="opacity: .8">
                <span class="brand-text font-weight-light">CUSTOMER PORTAL</span>
            </a>

            <!-- Sidebar -->
            <div class="sidebar" id="sidebar">
                <!-- Sidebar user panel (optional) -->
                @*<div class="user-panel mt-3 pb-3 mb-3 d-flex">
                        <div class="image">
                            <img src="~/adminlte/img/user2-160x160.jpg" class="img-circle elevation-2" alt="User Image">
                        </div>
                        <div class="info">
                            <a href="#" class="d-block">Alexander Pierce</a>
                        </div>
                    </div>*@

                <!-- SidebarSearch Form -->
                @*<div class="form-inline">
                        <div class="input-group" data-widget="sidebar-search">
                            <input class="form-control form-control-sidebar" type="search" placeholder="Search" aria-label="Search">
                            <div class="input-group-append">
                                <button class="btn btn-sidebar">
                                    <i class="fas fa-search fa-fw"></i>
                                </button>
                            </div>
                        </div>
                    </div>*@

                <!-- Sidebar Menu -->
                <nav class="mt-2">
                    <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
                        <!-- Add icons to the links using the .nav-icon class
                        with font-awesome or any other icon font library -->
                        <li class="nav-item menu-open">
                            <a href="#" class="nav-link active">
                                <i class="nav-icon fas fa-tachometer-alt"></i>
                                <p>
                                    Starter Pages
                                    <i class="right fas fa-angle-left"></i>
                                </p>
                            </a>
                            <ul class="nav nav-treeview">
                                <li class="nav-item">
                                    <a href="@Url.Action("Index", "Home")" class="nav-link active" id="btn-home">
                                        <i class="fas fa-house-user"></i>
                                        <p>Home</p>
                                    </a>
                                </li>
                                @*<li class="nav-item">
                                        <a href="@Url.Action("Contact", "Home")" class="nav-link">
                                            <i class="far fa-circle nav-icon"></i>
                                            <p>Contact</p>
                                        </a>
                                    </li>*@
                                <!--Tambah memu di sidebar-->
                                @if (ViewBag.role == "admin")
                                {
                                    <li class="nav-item">
                                        <a href="@Url.Action("Index", "Account")" class="nav-link" id="btn-user">
                                            <i class="fas fa-users"></i>
                                            <p>Users</p>
                                        </a>
                                    </li>
                                    <li class="nav-item">
                                        <a href="@Url.Action("ReportAdmin", "Report")" class="nav-link">
                                            <i class="fas fa-chart-line"></i>
                                            <p>Report</p>
                                        </a>
                                    </li>
                                }
                                else
                                {
                                    <li class="nav-item">
                                        <a href="@Url.Action("Index", "Order")" class="nav-link" id="btn-order">
                                            <i class="fas fa-shopping-cart"></i>
                                            <p>Order</p>
                                        </a>
                                    </li>
                                    <li class="nav-item">
                                        <a href="@Url.Action("ReportInvoice", "Report")" class="nav-link" id="btn-report-user">
                                            <i class="fas fa-chart-line"></i>
                                            <p>Report</p>
                                        </a>
                                    </li>

                                }

                                <!--End Tambah memu di sidebar-->

                            </ul>
                        </li>
                    </ul>
                </nav>
                <!-- /.sidebar-menu -->
            </div>
            <!-- /.sidebar -->
        </aside>

        @RenderSection("Modals", required: false)

        <!-- jQuery 2.2.0 -->
        @*<script src="@Url.Content("~/adminlte/plugins/jQuery/jQuery-2.2.0.min.js")"></script>*@
        <!-- Bootstrap 3.3.6 -->
        <script src="@Url.Content("~/adminlte/plugins/bootstrap/js/bootstrap.min.js")"></script>

        @RenderSection("BodyLibrary", required: false)
        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">
            <!-- Content Header (Page header) -->
            <div class="content-header">
                <div class="container-fluid">
                    <div class="row mb-2">
                        <div class="col-sm-6">
                            <h1 class="m-0 text-dark">@ViewBag.Title</h1>
                        </div><!-- /.col -->
                        <!--<div class="col-sm-6">
                            <ol class="breadcrumb float-sm-right">
                                @if (@ViewContext.RouteData.Values["controller"].ToString() != "Home" ||
                                    @ViewContext.RouteData.Values["action"].ToString() != "Index")
                                {
                                    <li class="breadcrumb-item">
                                        @Html.ActionLink("Home Page", "Index", "Home")
                                    </li>
                                }
                                <li class="breadcrumb-item active">@ViewBag.Title</li>
                            </ol>
                        </div>-->
                        <!-- /.col -->
                    </div><!-- /.row -->
                </div><!-- /.container-fluid -->
            </div>
            <!-- /.content-header -->
            <!-- Main content -->
            <div class="content">
                <div class="container-fluid">
                    @RenderBody()
                </div><!-- /.container-fluid -->
            </div>
            <!-- /.content -->
        </div>
        <!-- /.content-wrapper -->
        <!-- Control Sidebar -->
        <aside class="control-sidebar control-sidebar-dark ">
            <!-- Control sidebar content goes here -->
            <div class="p-3">
                <p>Action</p>
                <ul class="nav nav-pills nav-sidebar flex-column">
                    @if (ViewBag.role == "customer")
                    {
                        <li class="nav-item text-light">
                            <a href="@Url.Action("ChangePassword", "Account")" class="nav-link">
                                <i class="fas fa-key text-light"></i>
                                <p class="text-light">Change Password</p>
                            </a>
                        </li>
                    }
                    <li class="nav-item text-light">
                        <a href="@Url.Action("Logout", "LoginPage")" class="nav-link">
                            <i class="fas fa-power-off text-light"></i>
                            <p class="text-light">Logout</p>
                        </a>
                    </li>
                </ul>

            </div>
        </aside>
        <!-- /.control-sidebar -->
        <!-- Main Footer -->
        <footer class="main-footer">
            <strong>Copyright &copy; 2021 <a href="http://adminlte.io">AdminLTE.io</a>.</strong>
            All rights reserved.
        </footer>
    </div>
    <!-- ./wrapper -->
    <!-- REQUIRED SCRIPTS -->
    <!-- jQuery -->
    <!--tambahan lislbaray javascript dari plugin-->
    <!--end tambahan lislbaray javascript dari plugin-->
    @Scripts.Render("~/bundles/jquery")
    @Scripts.Render("~/bundles/bootstrap")
    @Scripts.Render("~/adminlte/js")
    <script>
        //Pop Up success or error function-----------------------------------------//
        window.messageSuccess = (message, url) => {
            Swal.fire({
                title: 'success',
                text: message,
                icon: 'success',
                showCancelButton: false,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'Oke',
                allowOutsideClick: false
            }).then((result) => {
                if (result.value) {
                    if (url !== null) {
                        window.location.href = url;
                    }
                }
            })
        }

        window.messageFailed = (message) => {
            Swal.fire({
                title: 'Something is Wrong',
                text: message,
                icon: 'error',
                showCancelButton: false,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'Oke',
                allowOutsideClick: false
            })
        }

    </script>
    @RenderSection("scripts", required: false)
</body>
</html>
